Page MenuHomePhabricator

When stripping debug info, also rewrite @llvm.debugtrap to @llvm.trap.
AbandonedPublic

Authored by DiamondLovesYou on Jun 9 2015, 4:00 PM.

Details

Reviewers
jfb

Diff Detail

Repository
rL LLVM

Event Timeline

DiamondLovesYou retitled this revision from to When stripping debug info, also rewrite @llvm.debugtrap to @llvm.trap..
DiamondLovesYou updated this object.
DiamondLovesYou edited the test plan for this revision. (Show Details)
DiamondLovesYou added a reviewer: jfb.
DiamondLovesYou set the repository for this revision to rL LLVM.
DiamondLovesYou added a subscriber: Unknown Object (MLST).
jfb accepted this revision.Jun 10 2015, 12:22 AM
jfb edited edge metadata.

lgtm, leaving open it see if there are other comments.

This revision is now accepted and ready to land.Jun 10 2015, 12:22 AM

Seems odd, why not just remove it since it's supposed to be "for a debugger"

(For the record, I have no dog in this show, just asking about the logic.)

-eric

Seems odd, why not just remove it since it's supposed to be "for a debugger"

(For the record, I have no dog in this show, just asking about the logic.)

-eric

Sorry 'bout the delay in getting back to you.

Honestly, I hadn't thought of that. Now that I have, I'd say rewriting to @llvm.trap is better because (I speculate) it would be the least surprising behaviour to developers.

Richard Diamond

DiamondLovesYou abandoned this revision.Aug 5 2015, 1:46 PM